Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module timelinepanel :: Class TimelinePanel |
[frames] | no frames]

# Class TimelinePanel

source code

               wx.Panel --+
                          |
    TimelinePanelGuiCreator --+
                              |
                             TimelinePanel

Instance Methods
__init__(self, parent, config, status_bar_adapter, main_frame) | source code
SetDb(self, db) | source code
get_timeline_canvas(self) | source code
get_time_period(self) | source code
open_event_editor(self, event) | source code
open_milestone_editor(self, event) | source code
redraw_timeline(self) | source code
Navigate(self, navigation_fn) | source code
get_view_properties(self) | source code
get_sidebar_width(self) | source code
show_sidebar(self) | source code
hide_sidebar(self) | source code
activated(self) | source code
Inherited from `TimelinePanelGuiCreator`: `BitmapFromIcon`, `CreateToolbar`, `move_selected_event_down`, `move_selected_event_up`

Method Details

### __init__(self, parent, config, status_bar_adapter, main_frame) (Constructor) | source code
Overrides: TimelinePanelGuiCreator.__init__